org.eclipse.lyo.oslc4j.provider.jena

## Class JenaModelHelper

- java.lang.Object
- - org.eclipse.lyo.oslc4j.provider.jena.JenaModelHelper

-     public final class JenaModelHelper
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.hp.hpl.jena.rdf.model.Model` | `createJenaModel(Object[] objects)`
    `static Object[]` | `fromJenaModel(com.hp.hpl.jena.rdf.model.Model model, Class<?> beanClass)`
    `static Object` | `fromJenaResource(com.hp.hpl.jena.rdf.model.Resource resource, Class<?> beanClass)`
    `protected static void` | `handleExtendedProperties(Class<?> resourceClass, com.hp.hpl.jena.rdf.model.Model model, com.hp.hpl.jena.rdf.model.Resource mainResource, IExtendedResource extendedResource, Map<String,Object> properties, Map<IExtendedResource,com.hp.hpl.jena.rdf.model.Resource> visitedResources)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createJenaModel

          public static com.hp.hpl.jena.rdf.model.Model createJenaModel(Object[] objects)
                                                                 throws DatatypeConfigurationException,
                                                                        IllegalAccessException,
                                                                        IllegalArgumentException,
                                                                        InvocationTargetException,
                                                                        OslcCoreApplicationException

      Throws:
        `DatatypeConfigurationException`
        `IllegalAccessException`
        `IllegalArgumentException`
        `InvocationTargetException`
        `OslcCoreApplicationException`

    - #### fromJenaResource

          public static Object fromJenaResource(com.hp.hpl.jena.rdf.model.Resource resource,
                                Class<?> beanClass)
                                         throws DatatypeConfigurationException,
                                                IllegalAccessException,
                                                IllegalArgumentException,
                                                InstantiationException,
                                                InvocationTargetException,
                                                OslcCoreApplicationException,
                                                URISyntaxException,
                                                SecurityException,
                                                NoSuchMethodException

      Throws:
        `DatatypeConfigurationException`
        `IllegalAccessException`
        `IllegalArgumentException`
        `InstantiationException`
        `InvocationTargetException`
        `OslcCoreApplicationException`
        `URISyntaxException`
        `SecurityException`
        `NoSuchMethodException`

    - #### fromJenaModel

          public static Object[] fromJenaModel(com.hp.hpl.jena.rdf.model.Model model,
                               Class<?> beanClass)
                                        throws DatatypeConfigurationException,
                                               IllegalAccessException,
                                               IllegalArgumentException,
                                               InstantiationException,
                                               InvocationTargetException,
                                               OslcCoreApplicationException,
                                               URISyntaxException,
                                               SecurityException,
                                               NoSuchMethodException

      Throws:
        `DatatypeConfigurationException`
        `IllegalAccessException`
        `IllegalArgumentException`
        `InstantiationException`
        `InvocationTargetException`
        `OslcCoreApplicationException`
        `URISyntaxException`
        `SecurityException`
        `NoSuchMethodException`

    - #### handleExtendedProperties

          protected static void handleExtendedProperties(Class<?> resourceClass,
                                      com.hp.hpl.jena.rdf.model.Model model,
                                      com.hp.hpl.jena.rdf.model.Resource mainResource,
                                      IExtendedResource extendedResource,
                                      Map<String,Object> properties,
                                      Map<IExtendedResource,com.hp.hpl.jena.rdf.model.Resource> visitedResources)
                                                  throws DatatypeConfigurationException,
                                                         IllegalAccessException,
                                                         InvocationTargetException,
                                                         OslcCoreApplicationException

      Throws:
        `DatatypeConfigurationException`
        `IllegalAccessException`
        `InvocationTargetException`
        `OslcCoreApplicationException`

Copyright © 2016. All rights reserved.